Name:		php-webserver
Version:	0.1
Release:	7%{?dist}
Summary:	PHP SAPI WebServer
Group:		System Environment/Base
License:	BSD
Source0:	php-webserver.tar.gz
Source1:	run
Source2:	run_svc
Source3:	routeur.php
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	daemontools
%description
Install php-webserver

%prep
%setup -q -c php-webserver

%build
%pre

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/opt
mkdir -p $RPM_BUILD_ROOT/usr/local/monitoring/www
mkdir -p $RPM_BUILD_ROOT/root/services/monitoring

install -p -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/local/monitoring/opt/
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/root/services/monitoring/
install -p -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/root/services/monitoring/
install -p -m 0755 %{SOURCE3} $RPM_BUILD_ROOT/usr/local/monitoring/www/

%post
mkdir -p /usr/local/monitoring/www
mkdir -p /usr/local/monitoring/opt
tar -xpzf /usr/local/monitoring/opt/php-webserver.tar.gz -C /usr/local/monitoring/opt/
rm -f /usr/local/monitoring/opt/php-webserver.tar.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
/root/services/monitoring/run
/root/services/monitoring/run_svc
/usr/local/monitoring/www/routeur.php

%config/root/services/monitoring/run
%config/root/services/monitoring/run_svc
%config/usr/local/monitoring/www/routeur.php
%config/usr/local/monitoring/opt/php-webserver.tar.gz

%postun
if [ "$1" = "0" ]; then
	rm -rf /usr/local/monitoring
	rm -rf /root/services/monitoring
fi


%changelog
* Thu Nov 05 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-7
- Fix sendmail path
* Wed Jun 10 2015 Adnane RABIH <arabih@magic.fr> 0.1-6
- postgres support added.
* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-5
- Fix postun
* Tue Apr 28 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-4
- Fix require argusmonitor
* Mon Apr 27 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-3
- Fix php.ini socket
* Fri Apr 17 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-2
- Fix untar after setup
* Fri Apr 17 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-1
- Fix build pkg
* Thu Apr 16 2015 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 0.1-0
- First release
